# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.25
# 

Name:       mpfr

# >> macros
# << macros

Summary:    A C library for multiple-precision floating-point computations
Version:    3.1.1
Release:    1
Group:      System/Libraries
License:    LGPLv3+ and GPLv3+ and GFDL
URL:        http://www.mpfr.org/
Source0:    http://www.mpfr.org/%{name}-%{version}/%{name}-%{version}.tar.gz
Source100:  mpfr.yaml
Requires:   gmp >= 4.2.3
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  gmp-devel >= 4.2.3
Provides:   libmpfr.so.1

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and
also has a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point arithmetic
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.


%package devel
Summary:    Development tools A C library for mpfr library
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description devel
The static libraries, header files and documentation for using the MPFR
multiple-precision floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the mpfr-devel package.  You'll also need to
install the mpfr package.



%prep
%setup -q -n %{name}-%{version}

# >> setup
# << setup

%build
# >> build pre
# << build pre

%configure --disable-static \
    --disable-assert

make %{?jobs:-j%jobs}

# >> build post
# << build post

%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post
# Temporary fix for the SONAME change
ln -s libmpfr.so.4 %{buildroot}%{_libdir}/libmpfr.so.1
# << install post


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
%install_info --info-dir=%_infodir %{_infodir}/mpfr.info.gz

%postun devel
if [ $1 = 0 ] ;then
%install_info_delete --info-dir=%{_infodir} %{_infodir}/mpfr.info.gz
fi

%files
%defattr(-,root,root,-)
# >> files
%doc COPYING COPYING.LESSER NEWS README
%{_libdir}/libmpfr.so.*
# << files

%files devel
%defattr(-,root,root,-)
# >> files devel
%doc %{_docdir}/%{name}
%{_libdir}/libmpfr.so
%{_includedir}/*.h
%{_infodir}/mpfr.info.gz
# << files devel
